GNU bug report logs - #15775
24.3.50; "WARNING: terminal is not fully functional" in Comint and Eshell

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Dmitry Gutov <dgutov@HIDDEN>; merged with #4359; dated Fri, 1 Nov 2013 01:59:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Disconnected #15771 from all other report(s). Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Forcibly Merged 4359 15771 15775. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 4359 15775. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 1 Nov 2013 01:58:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 31 21:58:43 2013
Received: from localhost ([127.0.0.1]:56010 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Vc40Y-0003ZB-I6
	for submit <at> debbugs.gnu.org; Thu, 31 Oct 2013 21:58:42 -0400
Received: from eggs.gnu.org ([208.118.235.92]:54634)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <raaahh@HIDDEN>) id 1Vc40W-0003Yt-Ph
 for submit <at> debbugs.gnu.org; Thu, 31 Oct 2013 21:58:41 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <raaahh@HIDDEN>) id 1Vc40N-0001pU-5a
 for submit <at> debbugs.gnu.org; Thu, 31 Oct 2013 21:58:35 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.0 required=5.0 tests=BAYES_20,FREEMAIL_FROM,
 T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:53412)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <raaahh@HIDDEN>) id 1Vc40N-0001pK-2n
 for submit <at> debbugs.gnu.org; Thu, 31 Oct 2013 21:58:31 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:56342)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <raaahh@HIDDEN>) id 1Vc40I-0006av-S8
 for bug-gnu-emacs@HIDDEN; Thu, 31 Oct 2013 21:58:31 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <raaahh@HIDDEN>) id 1Vc40E-0001oV-GR
 for bug-gnu-emacs@HIDDEN; Thu, 31 Oct 2013 21:58:26 -0400
Received: from mail-la0-x234.google.com ([2a00:1450:4010:c03::234]:62074)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <raaahh@HIDDEN>) id 1Vc40E-0001oR-91
 for bug-gnu-emacs@HIDDEN; Thu, 31 Oct 2013 21:58:22 -0400
Received: by mail-la0-f52.google.com with SMTP id ev20so1204410lab.39
 for <bug-gnu-emacs@HIDDEN>; Thu, 31 Oct 2013 18:58:20 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=sender:from:to:subject:date:message-id:mime-version:content-type;
 bh=HeDizdCVwoobjiNyJDHuTpN+fZ/VODQNT/adPDj4fq4=;
 b=jEhKUg9yzgRtRAO/gVkEyfrxLPi3E/tYJbJMSo0eADEb7FUF7IBoZgNi0Yw/jr5MFB
 oVoyz+O7AdOjC+1VZYd68cVXevj+H22/LrWjqmY0vuWdKTMXwXV10mUqTMH41kDyvtvo
 XRpcQIorTQdL78RzSP4laz0oLn8OqI7qSZ5nsjCZ62VzRQBJlgSNg8Opte1wlvjBkh+q
 RG8gRxeUyFehyiMTbtboRWJDYm5C6GhGhyuwozF3fG5teA8wakaWRCJd5qFwvtFDpYrn
 MidP1zbjMilAQgct98fecQZH6A9pNN5NQl9Pqoo2W8ymZvLDJQg3oSw/xBpi592/Auu2
 fzGQ==
X-Received: by 10.112.53.198 with SMTP id d6mr325881lbp.47.1383271100489;
 Thu, 31 Oct 2013 18:58:20 -0700 (PDT)
Received: from axl ([178.252.98.87])
 by mx.google.com with ESMTPSA id e4sm4690476lba.15.2013.10.31.18.58.19
 for <bug-gnu-emacs@HIDDEN>
 (version=TLSv1.2 cipher=RC4-SHA bits=128/128);
 Thu, 31 Oct 2013 18:58:19 -0700 (PDT)
From: Dmitry Gutov <dgutov@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 24.3.50;
 "WARNING: terminal is not fully functional" in Comint and Eshell
Date: Fri, 01 Nov 2013 05:58:15 +0400
Message-ID: <87sivgq3wo.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

It has been a somewhat common problem with calling external processes
from Emacs. Some references:

http://david.rothlis.net/emacs/customize_general.html#shell

https://github.com/nonsequitur/inf-ruby/issues/33

https://github.com/dgutov/robe/issues/9

The common recommendation is to change the PAGER environment var, and it
works, but why isn't Emacs doing it by default (like with TERM, for
example)?

Can packages just go ahead and set it, without having to leave it to
users? Should they limit the change only to buffers they work with? I
looked at how that could be done with Comint (and a mode deriving from
it), but `make-comint' creates a new buffer, so it's not like I can
change the local value of `process-environment' before the external
process is launched.


In GNU Emacs 24.3.50.3 (x86_64-unknown-linux-gnu, GTK+ Version 3.6.4)
 of 2013-10-30 on axl
Bzr revision: 114852 monnier@HIDDEN
Windowing system distributor `The X.Org Foundation', version 11.0.11303000
System Description:	Ubuntu 13.04




Acknowledgement sent to Dmitry Gutov <dgutov@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#15775; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.